Search This Blog

ns2.26:installation on Fedora 8

Labels: , , ,

Reactions: 

Due to new versions of gcc, ns2.26 cannot be installed directly on fedora 8.
Minor modifications in the code of ns2.26 are required.
Hence I have designed a patch that incorporates all the modifications required in ns2.26 code to be installed on fedora 8 (or other linux distributions having similar gcc version).

Following are the steps to install ns2.26 on fedora 8 (or other linux distributions having similar gcc version):

1) Download ns-allinone-2.26.tar.gz

2) Download ns226.patch (after downloading the file change its name to ns226.patch in case if the file gets downloaded by some other name).

If you encounter any problem in downloading from the above link please follow the link given below:

http://www.mediafire.com/?g9geachfm2h56l4

3) Save ns-allinone-2.26.tar.gz in any directory (folder) of your file system.

4) Open a new terminal and go to that directory.

5) Give the following command to untar ns-allinone-2.26.tar.gz
tar  -xzvf  ns-allinone-2.26.tar.gz

6) After executing the above command you will find the extracted folder named ns-allinone-2.26 in the same directory.
Put the downloaded ns226.patch file in this extracted folder.

7) Using a terminal enter in this extracted folder and give the following command
patch  -p1  -t  <  ns226.patch

8) After successfully completing the above procedure install ns2.26 by giving the following command (in same extracted folder)
./install

Installation may take several minutes !!!

Regards

Comments (35)

Thx man your post has been very usefull for us, thxx again thx xD

Hi !
I try to install ns-2.26 on Fedora 11 like your guide, but it inform that "NS make fail" when I do command "./install". Could you please provide me some specific steps to install ns-2.26 on Fedora 11. Thanks a lot.

HI !

Could you tell me the version of Fedora suitable with NS2-2.26 (do not need using ns226.patch)

I really need it to install NS2-2.26.
Thanks in advanced !

Hi,

NS-2.26 requires very old version of gcc (may be gcc-3.3 or even less than that). Instead of re-installing Fedora you can try to install older version of gcc on your present Fedora version.

NS-2.26 works well with Fedora 8 if you apply the patch given above(ns226.patch).

Hope it helps.

Regards,
Mohit P. Tahiliani

Hi !

I have installed ns-2.26 successfully thanks to your advice.
Thanks a lot !
Vo.

hi
i try to install ns2.26 on ubunto 9.10 whitch have gcc-4.1 i know that ns2.26 requieres very old version of gcc can you help me to install older version og gcc in the present ubunto version to use your pach ns2.26.patch
thanks
regards
imen.

@Imen: You need gcc-3.3 version. NS-2.26 works well with it.

Hope it helps.

Regards,
Mohit P. Tahiliani

This comment has been removed by the author.

when I try to install ns-allinone-2.26.tar.gz on Fedora8 whith your patch for ns226, when I do command "./install" I see the following error message.



======================= message truncated ============================

tclcl-mappings.h:51: error:incomplete type `Tcl' used in nested name
specifier

tclcl-mappings.h:52: error:invalid use of undefined type 'struct Tcl'

tclcl-mappings.h:41: error:forward declaration of 'struct Tcl'

tclcl-mappings.h:57: error:invalid use of undefined type 'struct Tcl'

tclcl-mappings.h:41: error:forward declaration of 'struct Tcl'

make: *** [Tcl.o] Error 1

tclcl-1.0b13 make failed! Exiting ...

=========================== message end ============================



Please any comment will be greatly appreciated!!



Best Regards,
Imen

Hi!

I find a solution.
Apply this patch:
--- tclcl.h~ 2003-07-29 11:24:50.000000000 -0700
+++ tclcl.h 2004-12-10 08:55:34.692584936 -0800
@@ -45,8 +45,8 @@
}

#include "tclcl-config.h"
-#include "tclcl-mappings.h"
#include "tracedvar.h"
+// tclcl-mappings.h included below, AFTER definition of class Tcl

struct Tk_Window_;

@@ -158,6 +158,8 @@
Tcl_HashTable objs_;
};

+#include "tclcl-mappings.h"
+
class InstVar;

class TclObject {


ps: to apply the patch enter in the tclcl directory and execute:
patch -b < name_of_patch_file.patch

Regards,

Imen

Hello Imen,

Thank you for sharing the solution of your installation problem. Appreciate your efforts.

Mohit P. Tahiliani

Hello
I want to use one Module on ns2.26,I first patch it's PATCH File and then typed ./configure
make clean
make
I got these error,Please Help me to solve them:
.
.
.
common/packet.h:200: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:201: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:202: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:203: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:204: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:205: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:206: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:207: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:209: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:210: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:212: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:213: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:214: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:217: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:220: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:223: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:226: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:229: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:232: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:236: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:240: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:241: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:245: warning: deprecated conversion from string constant to ‘char*’
common/packet.h:247: warning: deprecated conversion from string constant to ‘char*’
common/packet.h: In static member function ‘static bool p_info::data_packet(packet_t)’:
common/packet.h:260: error: expected primary-expression before ‘)’ token
common/scheduler.cc: In member function ‘virtual int Scheduler::command(int, const char* const*)’:
common/scheduler.cc:215: warning: deprecated conversion from string constant to ‘char*’
make: *** [common/scheduler.o] Error 1

hello,

i have the same question as above.

please master help me.

thanks very much.

hello,
you said,"You need gcc-3.3 version. NS-2.26 works well with it."
so i installed gcc-3.3 version,but after ./install of NS2-2.26,result in as above status.

Hope master can help me to solve the question.

thank you very much.

I got it.thanks.

hi mohit i m doin a research project on vanet i have some gpsr codes based on ns2.26 so after instalin ns2.26 on fedeora 8.willl i be able to run those codes or should i try some other mthd?

@Bhavya - Yes you will be able to run those codes once you successfully install ns-2.26.

Regards,
Mohit P. Tahiliani

Please i got this error.. please reply if u know the solution.


queue/red.cc: In member function ‘virtual void REDQueue::trace(TracedVar*)’:
queue/red.cc:807: error: invalid conversion from ‘const char*’ to ‘char*’
queue/red.cc:808: error: invalid conversion from ‘const char*’ to ‘char*’
queue/red.cc:809: error: invalid conversion from ‘const char*’ to ‘char*’
queue/red.cc:810: error: invalid conversion from ‘const char*’ to ‘char*’
make: *** [queue/red.o] Error 1
Ns make failed!



Thanks alot

hello sir,

I am doing project on FHMIPv6,i want ns2 patch file for FHMIPV6 and steps for how to patch,can you give me sir,please....

hai when i try to install ns2.26(with nrlsensorim2.26) on ubuntu 9.04 it is giving error"TCL is not a part ns project". Please help me to solve this problem.

@Guna - Following link may be useful:

http://azana24x7.com/blog/ns2-28-fhmipv6-tcl-script-by-robert-hsieh.html

@Jagan - Please mention the exact sequence of steps followed by you. Paste four to five lines of error so that it can be traced.

Hope it helps.

Regards,
Mohit P. Tahiliani

hello sir, i want to transmit multimedia data in Ns2 and want to calculate throughput,dealy,jitter suh things for this multomedia stream.I hav downloaded the TCL script video_trace and also have Verbose_Jurassic.dat. How can i make use of it?..please help me and guide me. Thanks
Sneha

@Sneha - The following link will help you

http://140.116.164.80/~jhlin5/ns2/An%20example%20of%20multimedia%20transmission%20over%20a%20wireless%20network.htm

Hope it helps.

Regards,
Mohit P. Tahiliani

Thank you sir.
you have done a great job .
i was trying to install ns 2.26 for past one month.
Thanks alot

Hi
am trying to do MAODV code in ns2.35. i got errors while am running ./install. do u have any idea in this. plz help me mohit........

@Amp A - I have not worked with MAODV in ns-2.35. Can you mention what is the error that you are getting while installation?

Regards,
Mohit P. Tahiliani

Hello sir,
Is it possible to get different color for packet transmission among nodes in wireless network? how ?

My another query is while executing throughput awk script i'm getting error as,
Begin {
' in expression:1: ^ invalid char '
Please rectify my two queries

@Jothi Rajan - Yes, you can configure different colors for packet transmission in wireless network. See the example given on the link below:

http://tinyurl.com/color-wireless

Regarding calculation of throughput:

I recommend you to use "genthroughput.awk" provided on the link given below to calculate throughput.

http://mohittahiliani.blogspot.in/2010/02/few-more-awk-scripts-for-ns2.html

Note that "genthroughput.awk" works only for old trace file formats. If you have a new trace file format, use "throughput_newtrace.awk" provided on the link below:

http://mohittahiliani.blogspot.in/2010/03/awk-script-for-ns2-supporting-new-trace.html

Hope it helps.

Regards,
Mohit P. Tahiliani

mac/wireless-phy.cc: In member function ‘virtual void WirelessPhy::sendDown(Packet*)’:
mac/wireless-phy.cc:231: error: ‘min’ was not declared in this scope
make: *** [mac/wireless-phy.o] Error 1

while implementing maodv get this error

hello sir,
m using fedora 14 recenty i had install antnet in ns-2.34. but when m run the tcl script us ns command below error occure plz help me to resolve it................
[root@localhost Templates]# ns 100dsr.tcl
*** glibc detected *** ns: realloc(): invalid next size: 0x0904a3b0 ***
======= Backtrace: =========
...................
09046000-09067000 rw-p 00000000 00:00 0 [heap]

............
b77ea000-b77eb000 r-xp 00000000 00:00 0 [vdso]
bfbf4000-bfc15000 rw-p 00000000 00:00 0 [stack]
Aborted (core dumped)

how remove this error plz help me sir!!!!!!!!!!!! my whole thesis based on it...........sir plz tell me how m deallocate memory in my ns-2.34 .... i think this error comes due to dynamic memory allocation..........

Sir,
Can I implement both MAODV and ODMRP multicast routing protocols in same version of NS2 ? Please give any suggestions.

Respected Professor,
when i run the code for wireless scenario in ns 2.26, I get the following error:
Respected Professor,

I have installed ns 2.26 in Fedora 8 by refering your blog. I actually installed ns-2.26 because I got TCP Jersey code that was compatible only with ns-2.26.

*** glibc detected *** ns: corrupted double-linked list: 0x09894ba0 ***
======= Backtrace: =========
/lib/libc.so.6[0x832d5d]
/lib/libc.so.6[0x8347fb]
/lib/libc.so.6(cfree+0x90)[0x8380f0]
ns[0x8253157]
ns[0x81f551f]
ns[0x82403a4]
ns[0x8240953]
ns[0x81f0826]
ns[0x81ea2ba]
ns(TclInvokeStringCommand+0x86)[0x81f16c0]
ns[0x82102e7]
ns[0x81f2596]
ns[0x82104f0]
ns[0x81f2596]
ns(TclObjInterpProc+0x3f0)[0x82344c5]
ns(TclProcInterpProc+0x9a)[0x82346a6]
ns[0x81ea0a0]
ns(TclInvokeStringCommand+0x86)[0x81f16c0]
ns[0x822d1c9]
ns[0x822decb]
ns[0x822e177]
ns[0x81e60ad]
ns[0x81e6104]
ns[0x81e6460]
......

Is it not possible to run wireless code in ns 2.26 professor??? Please provide me with your pointers...

Thanks and Regards,
Mary

Hello SIr,

I am trying to implement MAODV protocol in ns2.35 on ubuntu 10.04 but I think MAODV doesnt support ns2.35 as it was built on ns2.26. But when I tried installing ns2.26 on the same OS, it gives error.
Please suggest how should I install ns2.26 on ubuntu 10.04 successfully.
Thanks.

Respected Sir,

I followed the steps as you have mentioned above and I am facing the
following error during the installation process.

*********************
make: *** No rule to make target `VERSION', needed by `gen/version.c'. Stop.
Ns make failed!
See http://www.isi.edu/nsnam/ns/ns-problems.html for problems
*********************

The gcc and g++ version are 4.1.2


Please guide me through the solution.

Hi!!!
I have been trying to install NS-2.35 in ubuntu which I am running on vmware workstation.
I am getting the following error-

make: *** [maodv/maodv.o] Error 1
Ns make failed!

Please help soon!!

Guest Book...!!!